Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.spans
Class SpanTermQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.spans.SpanQuery
              org.apache.lucene.search.spans.SpanTermQuery

All Implemented Interfaces:
  Cloneable, Serializable

public class SpanTermQuery
extends SpanQuery

Matches spans containing a term.

See Also:
  Serialized Form

Constructor Summary
`SpanTermQuery(Term term)` Construct a SpanTermQuery matching the named term's spans.

Method Summary
`String` | `getField()` Returns the name of the field matched by this query.
`Spans` | `getSpans(IndexReader reader)` Expert: Returns the matches for this query in an index.
`Term` | `getTerm()` Return the term whose spans are matched.
`Collection` | `getTerms()` Returns a collection of all terms matched by this query.
`String` | `toString(String field)` Prints a query to a string, with `field` as the default field for terms.

Methods inherited from class org.apache.lucene.search.spans.SpanQuery
`createWeight`

Methods inherited from class org.apache.lucene.search.Query
`clone, combine, getBoost, getSimilarity, mergeBooleanQueries, rewrite, setBoost, toString, weight`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpanTermQuery

    public SpanTermQuery(Term term)

  Construct a SpanTermQuery matching the named term's spans.

Method Detail

### getTerm

    public Term getTerm()

  Return the term whose spans are matched.

### getField

    public String getField()

  Description copied from class: `SpanQuery`
  Returns the name of the field matched by this query.

  Specified by:
    `getField` in class `SpanQuery`

### getTerms

    public Collection getTerms()

  Description copied from class: `SpanQuery`
  Returns a collection of all terms matched by this query.

  Specified by:
    `getTerms` in class `SpanQuery`

### toString

    public String toString(String field)

  Description copied from class: `Query`
  Prints a query to a string, with `field` as the default field for terms.

  The representation used is one that is readable by `QueryParser` (although, if the query was created by the parser, the printed representation may not be exactly what was parsed).

  Specified by:
    `toString` in class `Query`

### getSpans

    public Spans getSpans(IndexReader reader)
                   throws IOException

  Description copied from class: `SpanQuery`
  Expert: Returns the matches for this query in an index. Used internally to search for spans.

  Specified by:
    `getSpans` in class `SpanQuery`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.